/*-------------------------------
  NEWS
  --------------------------------*/
.news-wrap{
  position: relative;
  overflow: hidden;
.news-box {
  position: relative;
  display: block;
  margin-bottom: 30px;
  border-radius: var(--block-border-radius);
  z-index: 10;
  @media #{$lg} {
    margin-bottom:0;
  }
  .news-image{
    img {
    width: 100%;
    border-radius: var(--block-border-radius);
  }
  &:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(24, 33, 46, 0.5);
    border-radius: var(--block-border-radius);
  }
  .news-date{
    position: absolute;
    top:20px;
    right:20px;
    font-size: 14px;
    color: var(--color-white);
    text-transform: capitalize;
    i{
      float: right;
      margin-left: 7px;
      margin-top: 3px
    }
  }
  h5{
    position: absolute;
     bottom:20px;
     right:20px;
     color: var(--color-white);
  }
}
.news-content {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  padding: 40px;
  display: flex;
  justify-content: space-evenly;
  flex-direction: column;
  border-radius: var(--block-border-radius);
  overflow: hidden;
  background-color: rgba(24, 33, 46, 0.9);
  transform: scale(1, 0);
  transform-origin: bottom center;
  transition: transform 0.4s ease, -webkit-transform 0.4s ease;
  @media #{$lg} {
    padding: 20px;
   }
   @media #{$xl} {
    padding: 60px;
    }
    .news-text {
      font-size: 30px;
      margin: 0;
      transform: scale(0, 1);
      transform-origin: left top;
      perspective: 300px;
      transition: transform 0.4s ease 0.4s, -webkit-transform 0.4s ease 0.4s;
      @media #{$lg} {
        font-size: 20px;
       }
       @media #{$xl} {
        font-size: 30px;
        }
        a {
          color: #fff;
          transition: all 0.4s ease;
          &:hover {
            color: var(--color-primary);
          }
        }
    }
    .news-text2 {
      font-size: 18px;
    color: #fff;
    margin: 0;
    transform: scale(0, 1);
    transform-origin: left top;
    perspective: 300px;
    transition: transform 0.6s ease 0.6s, -webkit-transform 0.6s ease 0.6s;
      @media #{$lg} {
        font-size: 16px;
        line-height: 20px;
       }
       @media #{$xl} {
        font-size: 18px;
      line-height: 24px;
        }
        a {
          color: #fff;
          transition: all .6s ease;
          &:hover{
            color: var(--color-primary);
          }
        }
    }
    .news-link {
      width: 44px;
      height: 44px;
      font-size: 18px;
      color: #fff;
      text-align: center;
      line-height: 40px;
      border-width: 2px;
      border-radius: 50%;
      border-style: solid;
      border-color: var(--color-primary);
      opacity: 0.5;
      transition: all 0.4s ease;
      &:hover {
        opacity: 1;
        color: var(--color-primary);
      }
    }
}
&:hover .news-content {
  transform: scale(1, 1);
  transform-origin: bottom center;
}
&:hover .news-text {
  transform: scale(1, 1);
  transform-origin: right top;
}
&:hover .news-text2 {
  transform: scale(1, 1);
  transform-origin: right top;
}
&:hover .news-link {
  animation: bounceInUp 1.6s;
}
}
}

.newsletter-block{
  padding-left: 15px;
  .newsletter-block-wrap{
    display: block;
    background-color: var(--color-primary);
    border-radius: var(--block-border-radius);
    padding: 25px;
    .newsletter-title-wrap{
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding-bottom: 20px;
      border-bottom: 2px solid rgba(255, 255, 255, 0.5);
       .newsletter-title-icon{
        position: relative;
        flex-basis: 120px;
        @media #{$lg} {
         margin-right: 7px;
        }
        @media #{$xl} {
          margin-right:0;
         }
         span{
          display:inline-block;
           width: 70px;
           height: 70px;
           border-radius: 100%;
           background-color: #fff;
           i{
            position: absolute;
            color:  var(--color-primary);
            font-size: 40px;
            line-height: 70px;
            padding-right:15px;
          }
         }
      }
      .newsletter-title-text{
        margin-right: 20px;
        margin-bottom: 10px;
        color: #fff;
        text-transform:capitalize;
        @media #{$lg} {
          font-size: 24px;
          margin-right:0;
        }
        @media #{$xl} {
          @include font-size($h5-font-size);
          margin-right:20px;
        }
      }
      }
      .newsletter-subtitle-wrap{
        margin-top: 10px;
        font-weight: 500;
        font-size: 20px;
        color: #fff;
        @media #{$lg} {
          font-size: 18px;
        }
        @media #{$xl} {
          font-size: 22px;
        }
      }
      .newsletter-form-wrap{
        padding-top: 30px;
        input{
          display: inline-block;
          width: 100%;
          padding: 8px;
          font-size: 18px;
          text-align: right;
          border: 1px solid rgba(255, 255, 255, 0.5);
          border-radius: var(--button-border-radius-2);
          background: transparent;
          color: var(--color-white);
          outline: none !important;
          box-shadow: none !important;
        }
        .newsletter-submit{
          padding: 10px 42px;
          margin-top: 20px;
          border-radius: var(--button-border-radius-2);
          background-color: var(--color-white);
          color: var(--color-gray);
          transition: all .4s ease;
          &:hover{
            background-color: var(--color-secondary);
            color: var(--color-white);
          }
        }
      }
  }
}
